# OpenSCAD Baseline Setup Guide

This guide provides an automated setup process for OpenSCAD and a comprehensive set of commonly used libraries.

## Quick Start: Automated Installation

Run the following command to install OpenSCAD, set up libraries, and validate the configuration:

```bash
curl -sL https://git.nixc.us/colin/OpenSCAD/raw/branch/main/install.sh | bash

What the Script Does
	1.	Checks for Homebrew and installs it if not found.
	2.	Installs OpenSCAD using Homebrew if it is not already installed.
	3.	Creates the OpenSCAD libraries directory if it does not exist.
	4.	Clones or updates the following libraries into the OpenSCAD libraries directory:
	•	BOSL2: https://github.com/BelfrySCAD/BOSL2
	•	BOSL: https://github.com/revarbat/BOSL
	•	MCAD: https://github.com/openscad/MCAD
	•	BOLTS: https://github.com/boltsparts/BOLTS
	•	Nuts and Bolts: https://github.com/JohK/nutsnbolts
	•	OpenSCAD Fillets: https://github.com/jfhbrook/openscad-fillets
	•	Shape Library: https://github.com/cznewt/openscad-model-library
	•	OpenSCAD Connectors: https://github.com/kellyegan/OpenSCAD-Arduino-Mounting-Library
	•	BezierScad: https://github.com/chadkirby/BezierScad
	•	Tracklib: https://github.com/joostn/OpenSCAD-Track
	•	Chamfers for OpenSCAD: https://github.com/SebiTimeWaster/Chamfers-for-OpenSCAD
	•	U-Joint Library: https://github.com/celer/openjscad-u-joints
	5.	Validates the installation and reports success or failure.

Verifying the Installation
	1.	Open OpenSCAD and create a new file.
	2.	Add the following test code:

use <BOSL2/std.scad>;

cube([10, 10, 10], center = true);


	3.	Press F5 (Preview) or F6 (Render). If no errors appear, the installation was successful.

Troubleshooting
	•	Ensure Homebrew is installed by visiting https://brew.sh/.
	•	Verify Git is installed and accessible by running git --version.
	•	Confirm the libraries exist in the OpenSCAD libraries directory:

ls ~/Documents/OpenSCAD/libraries/


	•	Verify OpenSCAD is installed by running:

openscad --version



Refer to the documentation or GitHub repositories for additional support or information.